require( "scripts/style.lua" );
require( "scripts/ui/style_text.lua" );

function Spawn_UIButtonsRollover(garden_name, magnet_y, fertilizer_y, water_y, butterfly_y, might_y)
    return Group
    {
        BitmapVisual
        {
            name="rollover_potion_harvest",
            x=740,y=240,
            image="interface/game/pop_up_object/rollover_obj",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kMax-55,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "potion_harvest_name", 205, 150),
            CreateMinionText(18, CaptionYellow, kCenter+20, kMax-45, "#"..tostring(costs.potion_harvest), 70, 20),
        },
        BitmapVisual
        {
            name="rollover_potion_bugs",
            x=740,y=240,
            image="interface/game/pop_up_object/rollover_obj",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kMax-55,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "potion_bugs_name", 205, 150),
            CreateMinionText(18, CaptionYellow, kCenter+20, kMax-45, "#"..tostring(costs.potion_bugs), 70, 20),
        },
        BitmapVisual
        {
            name="rollover_potion_water",
            x=740,y=240,
            image="interface/game/pop_up_object/rollover_obj",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kMax-55,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "potion_water_name", 205, 150),
            CreateMinionText(18, CaptionYellow, kCenter+20, kMax-45, "#"..tostring(costs.potion_water), 70, 20),
        },
        
        BitmapVisual
        {
            name="camomile_pop_up",
            x=230,y=276,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, garden_name.."_plant1_lvl1_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.camomile), 70, 20),
        },
        BitmapVisual
        {
            name="cornflower_pop_up",
            x=230,y=346,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, garden_name.."_plant2_lvl1_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.cornflower), 70, 20),
        },
        BitmapVisual
        {
            name="rose_pop_up",
            x=230,y=416,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, garden_name.."_plant3_lvl1_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.rose), 70, 20),
        },

        BitmapVisual
        {
            name="water_plant_pop_up",
            x=795,y=water_y,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "water_plant_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.water), 70, 20),
        },
        BitmapVisual
        {
            name="magnet_plant_pop_up",
            x=795,y=magnet_y,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "magnet_plant_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.magnet), 70, 20),
        },
        BitmapVisual
        {
            name="fertilizer_plant_pop_up",
            x=795,y=fertilizer_y,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "fertilizer_plant_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.fertilizer), 70, 20),
        },
        BitmapVisual
        {
            name="butterfly_plant_pop_up",
            x=795,y=butterfly_y,--340
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "butterfly_plant_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.butterfly), 70, 20),
        },
        
        BitmapVisual
        {
            name="might_plant_pop_up",
            x=795,y=might_y,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "might_plant_name", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.might), 70, 20),
        },
        
        BitmapVisual
        {
            name="remove_weed_pop_up",
            x=553,y=576,
            image="interface/game/pop_up/back",
            disabled = true,
            Bitmap
            {
                x=kCenter-20,y=kCenter+10,
                image="interface/game/pop_up/gold",
            },
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter-15, "remove_weed_button_rollover", 140, 20),
            CreateMinionText(18, CaptionYellow, kCenter+30, kCenter+10, "#"..tostring(costs.remove_weed), 70, 20),
        },
        BitmapVisual
        {
            name="sell_flower_pop_up",
            x=473,y=576,
            image="interface/game/pop_up/back",
            disabled = true,
            SetStyle(TextStyle),
            CreateMinionText(18, CaptionYellow, kCenter, kCenter, "sell_plant_button_rollover", 140, 20),
        },
    };
end;